﻿using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 제품 리스트
    /// </summary>
    public class ProductList
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 데이터 구하기 - GetData()

        /// <summary>
        /// 데이터 구하기
        /// </summary>
        /// <returns>제품 리스트</returns>
        public List<Product> GetData()
        {
            List<Product> list = new List<Product>();

            list.Add(new Product() { ProductName = "Chai"            , UnitPrice = 18  , OrderUnit = 10 });
            list.Add(new Product() { ProductName = "Ipoh Coffee"     , UnitPrice = 36.8, OrderUnit = 12 });
            list.Add(new Product() { ProductName = "Outback Lager"   , UnitPrice = 12  , OrderUnit = 25 });
            list.Add(new Product() { ProductName = "Boston Crab Meat", UnitPrice = 18.4, OrderUnit = 18 });
            list.Add(new Product() { ProductName = "Konbu"           , UnitPrice = 6   , OrderUnit = 24 });

            return list;
        }

        #endregion
    }
}